## onak 0.4.6

=== gpgstats-0.0.2/Makefile ===
# Makefile for gpgstats.

CC = gcc
OBJS = gpgstats.o hash.o ll.o parse.o graphstuff.o
CFLAGS += -Wall -pedantic -g -I..
# -DUSEREADLINE

all:	gpgstats

gpgstats: $(OBJS)
	gcc -g -o gpgstats $(OBJS)
# -lreadline -lhistory

dotrees: $(OBJS) dotrees.o
	gcc -g -o dotrees dotrees.o hash.o ll.o parse.o 
	
clean:
	rm -f $(OBJS) gpgctl.o dotrees.o gpgstats *.core core

## onak 0.4.1-1

=== debian/changelog ===
onak (0.4.1-1) unstable; urgency=low

  * New upstream release
    * Fix onak-mail race condition. (Closes: #650557)
  * Drop HISTORY file in /usr/share/doc; it's already present as changelog.gz

 -- Jonathan McDowell <noodles@earth.li>  Tue, 24 Apr 2012 21:29:17 -0700

onak (0.4.0-1) unstable; urgency=low

  * Only seed empty database for if we're using default config
  * Use generic db dependencies rather than 4.8 versioned ones.
    (Closes: #621426)
  * Bump Debian Standards-Version to 3.9.2.0
  * Add ${perl:Depends} to dependencies
  * Add init.d file for keyd
  * Add logrotate config snippet

 -- Jonathan McDowell <noodles@earth.li>  Tue, 19 Apr 2011 21:59:28 -0700

onak (0.3.8-1) unstable; urgency=low

  * New upstream release
    * Correct formatting of some places we output a keyid. (Closes: #540196)
    * Don't add a key to the stats hash if it doesn't have any sigs.
      (Closes: #542187)
  * Add Homepage and Vcs-Bzr fields to Debian control file
  * Bump debhelper compat level to 7
  * Bump Debian Standards-Version to 3.8.3.0
  * Change to build against libdb4.8

 -- Jonathan McDowell <noodles@earth.li>  Tue, 29 Dec 2009 16:42:23 +0000

onak (0.3.7-1) unstable; urgency=low

  * New upstream release
    * Fix escaping of : in HKP output. (Closes: #487284)
    * Build with libdb4.7 (Closes: #520117)

 -- Jonathan McDowell <noodles@earth.li>  Tue, 02 Jun 2009 15:51:09 +0100

onak (0.3.6-1) unstable; urgency=low

  * New upstream release
    * Fix lookup display for more than one photo id. (Closes: #467020)
    * Build with libdb4.6 (Closes: #421951)

 -- Jonathan McDowell <noodles@earth.li>  Sat, 07 Jun 2008 13:29:01 +0100

onak (0.3.5-1) unstable; urgency=low

  * New upstream release
    * Fixes stupid db4 backend mistake (Closes: #460575)

 -- Jonathan McDowell <noodles@earth.li>  Wed, 16 Jan 2008 21:30:40 +0000

onak (0.3.4-1) unstable; urgency=low

  * New upstream release
    * Fix config passing to backends (Closes: #413762)
  * Lintian cleanups
    * Add #DEBHELPER# tokens to postinst/postrm.
    * Update FSF address in copyright file.
    * Remove bashism from postrm.
    * Update Standards-Version to 3.7.3.0 (no changes)
  * Update Apache recommendation to Apache2

 -- Jonathan McDowell <noodles@earth.li>  Sat, 29 Dec 2007 10:50:33 +0000

onak (0.3.3-1) unstable; urgency=low

  * New upstream release
    * Check signature creation times for merging (Closes: #410796)
    * Don't assume direct signature is revocation (Closes: #334715)
    * Gracefully fail when we can't open a DB4 DB (Closes: #370440)
  * Cleanup logfile upon package purge (Closes: #338516)
  * Add suggests on db4.2-utils (Closes: #317459)
  * Acknowledge NMU (Closes: #408270)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 04 Mar 2007 22:55:54 +0000

onak (0.3.2-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Added missing dep on adduser (Closes: #408270)
  * Urgency high due RCness of the bug

 -- Bastian Venthur <venthur@debian.org>  Thu,  1 Feb 2007 10:38:37 +0100

onak (0.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Jonathan McDowell <noodles@earth.li>  Fri, 25 Mar 2005 11:17:44 +0000

onak (0.3.1-1) unstable; urgency=low

  * New upstream release
    - Add onak-mail.pl man page (Closes: #276879)
    - Add links to HTML index output. (Closes: #275227)

 -- Jonathan McDowell <noodles@earth.li>  Sat, 23 Oct 2004 18:01:39 +0100

onak (0.3.0-1) unstable; urgency=low

  * Initial Release. (closes: #254425)

 -- Ross Burton <ross@debian.org>  Thu, 17 Jun 2004 11:59:00 +0100

=== debian/control ===
Source: onak
Section: net
Priority: optional
Maintainer: Jonathan McDowell <noodles@earth.li>
Uploaders: Ross Burton <ross@debian.org>
Build-Depends: debhelper (>= 7), cdbs, libdb-dev, nettle-dev
Standards-Version: 3.9.2.0
Homepage: http://www.earth.li/projectpurple/progs/onak.html
Vcs-Bzr: http://www.earth.li/~noodles/bzr/onak/mainline

Package: onak
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, adduser
Recommends: apache2 | httpd
Suggests: db-util
Description: OpenPGP Key Server
 onak is an OpenPGP compatible keyserver which supports multiple subkeys,
 photo ids and path finding between keys. It can provide an HKP
 compatible interface for use with the --keyserver option of gnupg as
 well as including a command line tool for querying the key database.

## onak 0.4.2

=== debian/changelog ===
onak (0.4.2-1) unstable; urgency=low

  * New upstream release
    * Prevent splitkeys crash with malformed key input. (Closes: #716350)
  * Switch to source format 3.0 (quilt).
  * Only seed initial database if key file is available. (Closes: #710665)
  * Bump Debian Standards-Version to 3.9.4.0
    * Update year in copyright file
  * Updated Vcs fields to point to git repository

 -- Jonathan McDowell <noodles@earth.li>  Tue, 01 Oct 2013 11:56:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Jonathan McDowell <noodles@earth.li>
 Uploaders: Ross Burton <ross@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, libdb-dev, nettle-dev
-Standards-Version: 3.9.2.0
+Build-Depends: debhelper (>= 7), cdbs, libdb-dev, nettle-dev, libcurl4-gnutls-dev | libcurl-dev
+Standards-Version: 3.9.4.0
 Homepage: http://www.earth.li/projectpurple/progs/onak.html
-Vcs-Bzr: http://www.earth.li/~noodles/bzr/onak/mainline
+Vcs-Browser: http://the.earth.li/gitweb/?p=onak.git;a=summary
+Vcs-Git: git://the.earth.li/onak.git
 
 Package: onak
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS += --enable-backend=dynamic

CFLAGS += -std=gnu99

=== debian/watch ===
version=2
http://www.earth.li/projectpurple/files/        onak-(.*).tar.gz        debian  uupdate

## onak 0.4.5

=== debian/changelog ===
onak (0.4.5-2+devuan1.1) unstable; urgency=medium

  * Removing systemd dependencies
  * fixing upstream tag.

 -- Lydia Sevelt <LydiaSevelt@gmail.com>  Sat, 29 Apr 2017 16:46:22 +0000

onak (0.4.5-1) unstable; urgency=low

  * New upstream release
    * Fix detection of systemd support with new versions of systemd.

 -- Jonathan McDowell <noodles@earth.li>  Fri, 03 Oct 2014 17:30:00 +0100

onak (0.4.4-1) unstable; urgency=low

  * New upstream release
    * Fixes key lookups using onak CLI tool on 32 bit platforms.

 -- Jonathan McDowell <noodles@earth.li>  Tue, 30 Sep 2014 22:36:34 +0100

onak (0.4.3-1) unstable; urgency=low

  * New upstream release
  * Fix issue with pre-seeding key database on install.
  * Add systemd service files using new systemd socket activation support.
  * Bump Debian Standards-Version to 3.9.6.0
  * Switch to debhelper.

 -- Jonathan McDowell <noodles@earth.li>  Tue, 30 Sep 2014 10:09:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: onak
 Section: net
 Priority: optional
-Maintainer: Jonathan McDowell <noodles@earth.li>
-Uploaders: Ross Burton <ross@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, libdb-dev, nettle-dev, libcurl4-gnutls-dev | libcurl-dev
-Standards-Version: 3.9.4.0
+Maintainer: Lydia Sevelt <LydiaSevelt@gmail.com>
+Build-Depends: debhelper (>= 9), dh-autoreconf, libdb-dev, nettle-dev, libcurl4-gnutls-dev | libcurl-dev 
+Standards-Version: 3.9.6.0
 Homepage: http://www.earth.li/projectpurple/progs/onak.html
 Vcs-Browser: http://the.earth.li/gitweb/?p=onak.git;a=summary
 Vcs-Git: git://the.earth.li/onak.git

=== debian/rules ===
#!/usr/bin/make -f

DEB_CONFIGURE_EXTRA_FLAGS += --enable-backend=dynamic

CFLAGS += -std=gnu99

%:
	dh "$@" --with autoreconf

override_dh_installinit:
	dh_installinit --no-start

#override_dh_systemd_enable:
#	dh_systemd_enable --no-enable debian/onak.service
#	dh_systemd_enable --no-enable debian/onak.socket

## onak 0.4.6

=== debian/changelog ===
onak (0.4.6-1) unstable; urgency=low

  * New upstream release
    * Re-order linking for backend plugins to cope with ld --as-needed.
      (Closes: #772433)
    * Update debian/watch file to deal with non-gz compressed tarballs.

 -- Jonathan McDowell <noodles@earth.li>  Tue, 25 Aug 2015 16:18:12 +0100

onak (0.4.5-2) unstable; urgency=low

  * Don't build-depend on systemd dev packages for non-Linux architectures.
    Thanks to Pino Toscano for the patch. (Closes: #763924)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 05 Oct 2014 14:41:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: onak
 Section: net
 Priority: optional
-Maintainer: Lydia Sevelt <LydiaSevelt@gmail.com>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libdb-dev, nettle-dev, libcurl4-gnutls-dev | libcurl-dev 
+Maintainer: Jonathan McDowell <noodles@earth.li>
+Uploaders: Ross Burton <ross@debian.org>
+Build-Depends: debhelper (>= 9), dh-autoreconf, dh-systemd, libdb-dev, nettle-dev, libcurl4-gnutls-dev | libcurl-dev, libsystemd-dev (>= 214) [linux-any] | libsystemd-daemon-dev [linux-any]
 Standards-Version: 3.9.6.0
 Homepage: http://www.earth.li/projectpurple/progs/onak.html
 Vcs-Browser: http://the.earth.li/gitweb/?p=onak.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

DEB_CONFIGURE_EXTRA_FLAGS += --enable-backend=dynamic --runstatedir=/run

CFLAGS += -std=gnu99

%:
	dh "$@" --with autoreconf,systemd

override_dh_installinit:
	dh_installinit --no-start

override_dh_systemd_enable:
	dh_systemd_enable --no-enable debian/onak.service
	dh_systemd_enable --no-enable debian/onak.socket

## onak 0.5.0

=== debian/changelog ===
onak (0.5.0-1) unstable; urgency=low

  * Remove Ross Burton from Uploaders.
  * Bump Debian Standards-Version to 3.9.8.0
  * Fix up systemd control file to allow non-socket activation.
  * Update Vcs URLs to use secure variants.
  * Add onak to Provides: in init script rather than just pgp-keyserver.
  * Add all hardening options (in particular for bindnow + pie).

 -- Jonathan McDowell <noodles@earth.li>  Sun, 28 Aug 2016 16:16:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Jonathan McDowell <noodles@earth.li>
-Uploaders: Ross Burton <ross@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, dh-systemd, libdb-dev, nettle-dev, libcurl4-gnutls-dev | libcurl-dev, libsystemd-dev (>= 214) [linux-any] | libsystemd-daemon-dev [linux-any]
-Standards-Version: 3.9.6.0
-Homepage: http://www.earth.li/projectpurple/progs/onak.html
-Vcs-Browser: http://the.earth.li/gitweb/?p=onak.git;a=summary
-Vcs-Git: git://the.earth.li/onak.git
+Standards-Version: 3.9.8.0
+Homepage: https://www.earth.li/projectpurple/progs/onak.html
+Vcs-Browser: https://the.earth.li/gitweb/?p=onak.git;a=summary
+Vcs-Git: https://the.earth.li/git/onak.git
 
 Package: onak
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-backend=dynamic --runstatedir=/run
 
 CFLAGS += -std=gnu99

## onak 0.6.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
project(onak VERSION 0.6.1 LANGUAGES C)

include(CheckSymbolExists)
include(FindPkgConfig)
include(GNUInstallDirs)
include(TestBigEndian)
# Fall back for earlier versions of CMake which lack RUNSTATEDIR
if ("x${CMAKE_INSTALL_FULL_RUNSTATEDIR}" STREQUAL "x")
	set(CMAKE_INSTALL_FULL_RUNSTATEDIR
		${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/run)
endif()

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# Configuration options from the user
set(DBTYPE "dynamic" CACHE STRING
	"Configure the default database backend to use" )
option(KEYD
	"Enable the key daemon to handle communication with the key database"
	ON)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
TEST_BIG_ENDIAN(WORDS_BIGENDIAN)

# Pick up a git based version number for development builds
find_package(Git)
if (GIT_FOUND AND EXISTS "${CMAKE_SOURCE_DIR}/.git")
	EXECUTE_PROCESS(COMMAND ${GIT_EXECUTABLE} describe --tags --dirty
		OUTPUT_VARIABLE GIT_VERSION
		OUTPUT_STRIP_TRAILING_WHITESPACE)
	string(REPLACE "onak-" "" VERSION ${GIT_VERSION})
else()
	set(VERSION ${PROJECT_VERSION})
endif()

# Core objects
add_library(libonak STATIC armor.c charfuncs.c cleankey.c cleanup.c decodekey.c
	getcgi.c hash.c keyarray.c keyid.c keyindex.c ll.c log.c marshal.c
	mem.c merge.c onak-conf.c parsekey.c photoid.c rsa.c sigcheck.c sendsync.c
	sha1x.c wordlist.c)
set(LIBONAK_LIBRARIES "")

# Ideally use Nettle, fall back to our own md5/sha1 routines otherwise
pkg_check_modules(NETTLE nettle)
if (NETTLE_FOUND)
	set(HAVE_NETTLE true)
	target_include_directories(libonak SYSTEM PUBLIC ${NETTLE_INCLUDE_DIRS})
	LIST(APPEND LIBONAK_LIBRARIES ${NETTLE_LIBRARIES})
else()
	target_sources(libonak PRIVATE md5.c sha1.c)
endif()

# We need libhogweed and libgmp to be able to do more than hash calculations
pkg_check_modules(HOGWEED hogweed)
if (HOGWEED_FOUND)
	find_package(GMP)
endif()
if (GMP_FOUND)
	set(HAVE_CRYPTO true)
	target_include_directories(libonak SYSTEM PUBLIC
			${GMP_INCLUDE_DIRS} ${HOGWEED_INCLUDE_DIRS})
	LIST(APPEND LIBONAK_LIBRARIES ${GMP_LIBRARY} ${HOGWEED_LIBRARIES})

	set(CMAKE_REQUIRED_INCLUDES ${NETTLE_INCLUDE_DIRS})
	set(CMAKE_REQUIRED_LIBRARIES ${NETTLE_LIBRARIES} ${HOGWEED_LIBRARIES})
	# API change in later version of Nettle
	CHECK_SYMBOL_EXISTS(nettle_get_secp_256r1 "nettle/ecc-curve.h" HAVE_NETTLE_GET_SECP_256R1)
	CHECK_SYMBOL_EXISTS(nettle_get_secp_384r1 "nettle/ecc-curve.h" HAVE_NETTLE_GET_SECP_384R1)
	CHECK_SYMBOL_EXISTS(nettle_get_secp_521r1 "nettle/ecc-curve.h" HAVE_NETTLE_GET_SECP_521R1)
endif()

# Build files that have substitutions in them
include_directories(${CMAKE_BINARY_DIR} ${CMAKE_SOURCE_DIR})
configure_file("${CMAKE_SOURCE_DIR}/build-config.h.in"
	"${CMAKE_BINARY_DIR}/build-config.h" @ONLY)

configure_file("${CMAKE_SOURCE_DIR}/onak.ini.in"
	"${CMAKE_BINARY_DIR}/onak.ini" @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/onak.ini
	DESTINATION ${CMAKE_INSTALL_SYSCONFDIR})

configure_file("${CMAKE_SOURCE_DIR}/onak-mail.pl.in"
	"${CMAKE_BINARY_DIR}/onak-mail.pl" @ONLY)
install(PROGRAMS ${CMAKE_BINARY_DIR}/onak-mail.pl
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/onak/)
install(FILES onak-mail.pl.8 DESTINATION ${CMAKE_INSTALL_MANDIR}/man8/)

# Key database backends
add_subdirectory(keydb)

# Now we have the DB type confirmed we can tidy up the libonak options

if (DBTYPE STREQUAL "dynamic")
	LIST(APPEND LIBONAK_LIBRARIES "dl")
else()
	list (FIND BACKENDS ${DBTYPE} _index)
	if (${_index} LESS 0)
		message(FATAL_ERROR "${DBTYPE} is not a supported DB backend.")
	endif()

	LIST(APPEND LIBONAK_LIBRARIES ${BACKEND_${DBTYPE}_LIBS})
endif()

# For onak-conf.o compilation
target_compile_definitions(libonak PRIVATE
	CONFIGDIR="${CMAKE_INSTALL_FULL_SYSCONFDIR}"
	DBINIT=keydb_${DBTYPE}_init)

# DB Backend related options are known, so finish off libonak configuration
target_sources(libonak PRIVATE keydb/keydb_${DBTYPE}.c)
target_link_libraries(libonak ${LIBONAK_LIBRARIES})

# CGI directory
add_subdirectory(cgi)

# Executables start here

# Swiss Army tool
add_executable(onak onak.c)
target_link_libraries(onak libonak)

# Tools that operate on the key DB
add_executable(maxpath maxpath.c stats.c)
target_link_libraries(maxpath libonak)
add_executable(sixdegrees sixdegrees.c stats.c)
target_link_libraries(sixdegrees libonak)
add_executable(wotsap wotsap.c)
target_link_libraries(wotsap libonak)

# Stand alone tools
add_executable(splitkeys splitkeys.c)
target_link_libraries(splitkeys libonak)
add_executable(stripkey stripkey.c)
target_link_libraries(stripkey libonak)

install(TARGETS onak splitkeys RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES onak.1 splitkeys.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/)

# Basic unit tests
enable_testing()
add_test(NAME syntaxtest COMMAND perl -cw ${CMAKE_BINARY_DIR}/onak-mail.pl)
add_test(NAME sanitytests COMMAND ${CMAKE_SOURCE_DIR}/runtests)

=== cgi/CMakeLists.txt ===
# CGI
add_executable(add add.c)
target_link_libraries(add libonak)
add_executable(gpgwww gpgwww.c ../stats.c)
target_link_libraries(gpgwww libonak)
add_executable(hashquery hashquery.c)
target_link_libraries(hashquery libonak)
add_executable(lookup lookup.c)
target_link_libraries(lookup libonak)

=== keydb/CMakeLists.txt ===
# Key database backends

# These have no dependencies and can always be compiled
set(BACKENDS "file" "fs" "keyring" "stacked")

# DB4 backend (add check for existence)
LIST(APPEND BACKENDS db4)
set(BACKEND_db4_LIBS db-5.3)

# HKP backend - needs libcurl
pkg_check_modules(CURL libcurl)
if (CURL_FOUND)
	LIST(APPEND BACKENDS hkp)
	set(BACKEND_hkp_INC ${CURL_INCLUDE_DIRS})
	set(BACKEND_hkp_LIBS ${CURL_LIBRARIES})
endif()

# PostgreSQL backend - needs libpq
pkg_check_modules(POSTGRESQL libpq)
if (POSTGRESQL_FOUND)
	LIST(APPEND BACKENDS pg)
	set(BACKEND_pg_INC ${POSTGRESQL_INCLUDE_DIRS})
	set(BACKEND_pg_LIBS ${POSTGRESQL_LIBRARIES})
endif()

# keyd backend - can be disabled entirely
if (KEYD STREQUAL "ON")
	LIST(APPEND BACKENDS keyd)

	add_executable(keyd keyd.c)
	target_link_libraries(keyd libonak)
	add_executable(keydctl keydctl.c ../onak-conf.c)
	target_link_libraries(keydctl libonak)
	target_compile_definitions(keydctl PRIVATE
		CONFIGDIR="${CMAKE_INSTALL_FULL_SYSCONFDIR}")

	pkg_check_modules(SYSTEMD libsystemd)
	if (SYSTEMD_FOUND)
		set(HAVE_SYSTEMD true)
		target_include_directories(keyd SYSTEM PUBLIC
			${SYSTEMD_INCLUDE_DIRS})
		target_link_libraries(keyd ${SYSTEMD_LIBRARIES})
	endif()

	install(TARGETS keydctl RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
	install(TARGETS keyd RUNTIME DESTINATION ${CMAKE_INSTALL_SBINDIR})
	install(FILES keyd.8 keydctl.8
		DESTINATION ${CMAKE_INSTALL_MANDIR}/man8/)
endif()

if (DBTYPE STREQUAL "dynamic")
	foreach(BACKEND IN LISTS BACKENDS)
		add_library(keydb_${BACKEND} SHARED keydb_${BACKEND}.c)
		target_include_directories(keydb_${BACKEND} SYSTEM PUBLIC
			${BACKEND_${BACKEND}_INC})
		target_link_libraries(keydb_${BACKEND} libonak
			${BACKEND_${BACKEND}_LIBS})
		install(TARGETS keydb_${BACKEND} LIBRARY DESTINATION
			${CMAKE_INSTALL_LIBDIR}/onak/backends/)
	endforeach(BACKEND)
endif()

=== debian/changelog ===
onak (0.6.1-1) unstable; urgency=low

  * New upstream release
  * Bump debhelper compat level to 10
  * Set Rules-Requires-Root to no
  * Cleanup postinst to avoid recursive chown of database
  * Add dependency on pkg-config
  * Remove --with=systemd from dh call.
  * Rename debian/NEWS.Debian to debian/NEWS
  * Bump Debian Standards-Version to 4.5.0

 -- Jonathan McDowell <noodles@earth.li>  Sun, 13 Sep 2020 12:11:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,18 @@
 Section: net
 Priority: optional
 Maintainer: Jonathan McDowell <noodles@earth.li>
-Build-Depends: debhelper (>= 9), dh-autoreconf, dh-systemd, libdb-dev, nettle-dev, libcurl4-gnutls-dev | libcurl-dev, libsystemd-dev (>= 214) [linux-any] | libsystemd-daemon-dev [linux-any]
-Standards-Version: 3.9.8.0
+Build-Depends: cmake,
+	debhelper (>= 10),
+	libcurl4-gnutls-dev | libcurl-dev,
+	libdb-dev,
+	libsystemd-dev (>= 214) [linux-any] | libsystemd-daemon-dev [linux-any],
+	nettle-dev,
+	pkg-config
+Standards-Version: 4.5.0
 Homepage: https://www.earth.li/projectpurple/progs/onak.html
 Vcs-Browser: https://the.earth.li/gitweb/?p=onak.git;a=summary
 Vcs-Git: https://the.earth.li/git/onak.git
+Rules-Requires-Root: no
 
 Package: onak
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CFLAGS += -std=gnu99

%:
	dh "$@"

override_dh_installinit:
	dh_installinit --no-start

override_dh_systemd_enable:
	dh_systemd_enable --no-enable debian/onak.service
	dh_systemd_enable --no-enable debian/onak.socket

## onak 0.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
-project(onak VERSION 0.6.1 LANGUAGES C)
+project(onak VERSION 0.6.2 LANGUAGES C)
 
 include(CheckSymbolExists)
 include(FindPkgConfig)

=== debian/changelog ===
onak (0.6.2-1) unstable; urgency=low

  * New upstream release
  * Bump debhelper compat level to 13
  * Use /run/onak for keyd socket
  * Bump Debian Standards-Version to 4.6.1

 -- Jonathan McDowell <noodles@earth.li>  Sun, 27 Nov 2022 19:41:19 +0000

## onak 0.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
-project(onak VERSION 0.6.2 LANGUAGES C)
+project(onak VERSION 0.6.3 LANGUAGES C)
 
 include(CheckSymbolExists)
 include(FindPkgConfig)
@@ -23,22 +23,45 @@
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 TEST_BIG_ENDIAN(WORDS_BIGENDIAN)
 
+include(CheckCSourceCompiles)
+check_c_source_compiles(
+	"
+		#include <stdlib.h>
+		static void f(__attribute__((unused))) {}
+		int main(void) { f(); return 0;}
+	"
+	HAVE___ATTRIBUTE__UNUSED
+)
+if (HAVE___ATTRIBUTE__UNUSED)
+	set(UNUSED_ATTRIB "__attribute__((unused))")
+else()
+	set(UNUSED_ATTRIB "")
+endif()
+
 # Pick up a git based version number for development builds
 find_package(Git)
 if (GIT_FOUND AND EXISTS "${CMAKE_SOURCE_DIR}/.git")
-	EXECUTE_PROCESS(COMMAND ${GIT_EXECUTABLE} describe --tags --dirty
-		OUTPUT_VARIABLE GIT_VERSION
-		OUTPUT_STRIP_TRAILING_WHITESPACE)
-	string(REPLACE "onak-" "" VERSION ${GIT_VERSION})
+	if (EXISTS "${CMAKE_SOURCE_DIR}/.git/refs/tags/onak-0.6.2")
+		EXECUTE_PROCESS(
+			COMMAND ${GIT_EXECUTABLE} describe --tags --dirty
+			OUTPUT_VARIABLE GIT_VERSION
+			OUTPUT_STRIP_TRAILING_WHITESPACE)
+		string(REPLACE "onak-" "" VERSION ${GIT_VERSION})
+	else()
+		EXECUTE_PROCESS(
+			COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
+			OUTPUT_VARIABLE VERSION
+			OUTPUT_STRIP_TRAILING_WHITESPACE)
+	endif()
 else()
 	set(VERSION ${PROJECT_VERSION})
 endif()
 
 # Core objects
 add_library(libonak STATIC armor.c charfuncs.c cleankey.c cleanup.c decodekey.c
-	getcgi.c hash.c keyarray.c keyid.c keyindex.c ll.c log.c marshal.c
-	mem.c merge.c onak-conf.c parsekey.c photoid.c rsa.c sigcheck.c sendsync.c
-	sha1x.c wordlist.c)
+	hash.c hash-helper.c key-store.c keyarray.c keyid.c keyindex.c
+	ll.c log.c marshal.c mem.c merge.c onak-conf.c parsekey.c photoid.c
+	rsa.c sigcheck.c sendsync.c sha1x.c wordlist.c)
 set(LIBONAK_LIBRARIES "")
 
 # Ideally use Nettle, fall back to our own md5/sha1 routines otherwise
@@ -68,6 +91,12 @@
 	CHECK_SYMBOL_EXISTS(nettle_get_secp_256r1 "nettle/ecc-curve.h" HAVE_NETTLE_GET_SECP_256R1)
 	CHECK_SYMBOL_EXISTS(nettle_get_secp_384r1 "nettle/ecc-curve.h" HAVE_NETTLE_GET_SECP_384R1)
 	CHECK_SYMBOL_EXISTS(nettle_get_secp_521r1 "nettle/ecc-curve.h" HAVE_NETTLE_GET_SECP_521R1)
+endif()
+
+# keyd will use this for socket activation, if it's available
+pkg_check_modules(SYSTEMD libsystemd)
+if (SYSTEMD_FOUND)
+	set(HAVE_SYSTEMD true)
 endif()
 
 # Build files that have substitutions in them

=== keydb/CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,11 @@
 set(BACKENDS "file" "fs" "keyring" "stacked")
 
 # DB4 backend (add check for existence)
-LIST(APPEND BACKENDS db4)
-set(BACKEND_db4_LIBS db-5.3)
+find_package(BDB)
+if (BDB_FOUND)
+	LIST(APPEND BACKENDS db4)
+	set(BACKEND_db4_LIBS db)
+endif()
 
 # HKP backend - needs libcurl
 pkg_check_modules(CURL libcurl)
@@ -34,9 +37,7 @@
 	target_compile_definitions(keydctl PRIVATE
 		CONFIGDIR="${CMAKE_INSTALL_FULL_SYSCONFDIR}")
 
-	pkg_check_modules(SYSTEMD libsystemd)
 	if (SYSTEMD_FOUND)
-		set(HAVE_SYSTEMD true)
 		target_include_directories(keyd SYSTEM PUBLIC
 			${SYSTEMD_INCLUDE_DIRS})
 		target_link_libraries(keyd ${SYSTEMD_LIBRARIES})

=== debian/changelog ===
onak (0.6.3-1) unstable; urgency=low

  * New upstream release

 -- Jonathan McDowell <noodles@earth.li>  Tue, 26 Sep 2023 20:48:54 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Jonathan McDowell <noodles@earth.li>
 Build-Depends: cmake,
-	debhelper (>= 10),
+	debhelper-compat (= 13),
 	libcurl4-gnutls-dev | libcurl-dev,
 	libdb-dev,
 	libsystemd-dev (>= 214) [linux-any] | libsystemd-daemon-dev [linux-any],
 	nettle-dev,
 	pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://www.earth.li/projectpurple/progs/onak.html
 Vcs-Browser: https://the.earth.li/gitweb/?p=onak.git;a=summary
 Vcs-Git: https://the.earth.li/git/onak.git

=== debian/watch ===
version=3
http://www.earth.li/projectpurple/files/        onak-(.*).tar.(?:gz|bz2|xz)

## onak 0.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
-project(onak VERSION 0.6.3 LANGUAGES C)
+cmake_minimum_required(VERSION 3.1...3.31 FATAL_ERROR)
+project(onak VERSION 0.6.4 LANGUAGES C)
 
 include(CheckSymbolExists)
 include(FindPkgConfig)

=== cgi/CMakeLists.txt ===
# CGI
add_executable(add add.c getcgi.c)
target_link_libraries(add libonak)
add_executable(gpgwww gpgwww.c ../stats.c getcgi.c)
target_link_libraries(gpgwww libonak)
add_executable(hashquery hashquery.c getcgi.c)
target_link_libraries(hashquery libonak)
add_executable(lookup lookup.c getcgi.c)
target_link_libraries(lookup libonak)

=== keydb/CMakeLists.txt ===
--- 
+++ 
@@ -30,22 +30,22 @@
 if (KEYD STREQUAL "ON")
 	LIST(APPEND BACKENDS keyd)
 
-	add_executable(keyd keyd.c)
-	target_link_libraries(keyd libonak)
-	add_executable(keydctl keydctl.c ../onak-conf.c)
-	target_link_libraries(keydctl libonak)
-	target_compile_definitions(keydctl PRIVATE
+	add_executable(onak-keyd keyd.c)
+	target_link_libraries(onak-keyd libonak)
+	add_executable(onak-keydctl keydctl.c ../onak-conf.c)
+	target_link_libraries(onak-keydctl libonak)
+	target_compile_definitions(onak-keydctl PRIVATE
 		CONFIGDIR="${CMAKE_INSTALL_FULL_SYSCONFDIR}")
 
 	if (SYSTEMD_FOUND)
-		target_include_directories(keyd SYSTEM PUBLIC
+		target_include_directories(onak-keyd SYSTEM PUBLIC
 			${SYSTEMD_INCLUDE_DIRS})
-		target_link_libraries(keyd ${SYSTEMD_LIBRARIES})
+		target_link_libraries(onak-keyd ${SYSTEMD_LIBRARIES})
 	endif()
 
-	install(TARGETS keydctl RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
-	install(TARGETS keyd RUNTIME DESTINATION ${CMAKE_INSTALL_SBINDIR})
-	install(FILES keyd.8 keydctl.8
+	install(TARGETS onak-keydctl RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+	install(TARGETS onak-keyd RUNTIME DESTINATION ${CMAKE_INSTALL_SBINDIR})
+	install(FILES onak-keyd.8 onak-keydctl.8
 		DESTINATION ${CMAKE_INSTALL_MANDIR}/man8/)
 endif()

=== debian/changelog ===
onak (0.6.4-1) unstable; urgency=low

  * New upstream release
  * Cleanup database files on package purge (Closes: #1053323)
  * Update debian/watch to v4 + HTTPS
  * Drop debian/NEWS
  * Add skeleton autopkgtests
  * Update pkg-config -> pkgconf
  * Switch debian/copyright to DEP-5
  * Bump Debian Standards-Version to 4.7.2
  * Move most build deps to Build-Depend-Arch

 -- Jonathan McDowell <noodles@earth.li>  Tue, 15 Jul 2025 10:21:10 +0100

=== debian/tests/control ===
Tests: smoke-tests
Depends: onak

=== debian/watch ===
version=4
https://www.earth.li/projectpurple/files/        onak-(.*).tar.(?:gz|bz2|xz)
